### A free/open-source library for quantitative finance

Public Member Functions
PricingPeriod Class Reference
Date and time calculations

Time pricingperiod described by a number of a given time unit. More...

`#include <ql/experimental/commodities/pricingperiod.hpp>`

Inheritance diagram for PricingPeriod:
[legend]

List of all members.

## Public Member Functions

| PricingPeriod (const Date &startDate, const Date &endDate, const Date &paymentDate, const Quantity &quantity)
const Date & | paymentDate () const
const Quantity & | quantity () const

## Detailed Description

Time pricingperiod described by a number of a given time unit.